/*******************************************************************************
* Freescale Semiconductor Inc.
* (c) Copyright 2015 Freescale Semiconductor, Inc.
* ALL RIGHTS RESERVED.
********************************************************************************
Services performed by FREESCALE in this matter are performed AS IS and without 
any warranty. CUSTOMER retains the final decision relative to the total design 
and functionality of the end product. FREESCALE neither guarantees nor will be 
held liable by CUSTOMER for the success of this project.
FREESCALE DISCLAIMS ALL WARRANTIES, EXPRESSED, IMPLIED OR STATUTORY INCLUDING, 
BUT NOT LIMITED TO, IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR 
A PARTICULAR PURPOSE ON ANY HARDWARE, SOFTWARE ORE ADVISE SUPPLIED TO THE PROJECT
BY FREESCALE, AND OR NAY PRODUCT RESULTING FROM FREESCALE SERVICES. IN NO EVENT
SHALL FREESCALE BE LIABLE FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF 
THIS AGREEMENT.

CUSTOMER agrees to hold FREESCALE harmless against any and all claims demands or 
actions by anyone on account of any damage, or injury, whether commercial, 
contractual, or tortuous, rising directly or indirectly as a result of the advise
or assistance supplied CUSTOMER in connection with product, services or goods 
supplied under this Agreement.
********************************************************************************
* File              Interrupts.h
* Owner             David Tosenovjan
* Version           0.1
* Date              Dec-15-2015
* Classification    General Business Information
* Brief             Interrupts initialization code
********************************************************************************
* Detailed Description:
********************************************************************************
Revision History:
Ver  Date         Author            Description of Changes
0.1  Dec-15-2015  David Tosenovjan  Initial version
*******************************************************************************/

#ifndef _INTERRUPTS_H
#define _INTERRUPTS_H

/*******************************************************************************
* Includes
*******************************************************************************/

/*******************************************************************************
* Constants
*******************************************************************************/

/*******************************************************************************
* Macros 
*******************************************************************************/
#define PRC_SEL_CPU0 0x00
#define PRC_SEL_both 0x40
#define PRC_SEL_CPU1 0xC0

#define PRC_PRI(x)   ((x)&0x0F)

/*******************************************************************************
* Types
*******************************************************************************/

/*******************************************************************************
* Global variables
*******************************************************************************/

/*******************************************************************************
* Global functions
*******************************************************************************/
void Interrupts_init(void);
void Interrupts_enable_Core0(void);
void Interrupts_enable_Core1(void);


/*******************************************************************************
* Inline functions
*******************************************************************************/

#endif /* _INTERRUPTS_H */





