/*******************************************************************************
* Freescale Semiconductor Inc.
* (c) Copyright 2015 Freescale Semiconductor, Inc.
* ALL RIGHTS RESERVED.
********************************************************************************
Services performed by FREESCALE in this matter are performed AS IS and without 
any warranty. CUSTOMER retains the final decision relative to the total design 
and functionality of the end product. FREESCALE neither guarantees nor will be 
held liable by CUSTOMER for the success of this project.
FREESCALE DISCLAIMS ALL WARRANTIES, EXPRESSED, IMPLIED OR STATUTORY INCLUDING, 
BUT NOT LIMITED TO, IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR 
A PARTICULAR PURPOSE ON ANY HARDWARE, SOFTWARE ORE ADVISE SUPPLIED TO THE PROJECT
BY FREESCALE, AND OR NAY PRODUCT RESULTING FROM FREESCALE SERVICES. IN NO EVENT
SHALL FREESCALE BE LIABLE FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF 
THIS AGREEMENT.

CUSTOMER agrees to hold FREESCALE harmless against any and all claims demands or 
actions by anyone on account of any damage, or injury, whether commercial, 
contractual, or tortuous, rising directly or indirectly as a result of the advise
or assistance supplied CUSTOMER in connection with product, services or goods 
supplied under this Agreement.
********************************************************************************
* File              main_p1.c
* Owner             David Tosenovjan
* Version           0.1
* Date              Nov-26-2015
* Classification    General Business Information
* Brief             Brief description of the file
********************************************************************************
* Detailed Description:
********************************************************************************
Revision History:
Ver  Date         Author            Description of Changes
0.1  Nov-26-2015  David Tosenovjan  Initial version
*******************************************************************************/

#include "MPC577xC.h"
#include "Interrupts.h"

/*******************************************************************************
* External objects
*******************************************************************************/

/*******************************************************************************
* Global variables
*******************************************************************************/

/*******************************************************************************
* Constants and macros
*******************************************************************************/
#define ETPUA30_pin 144 // PCR number
#define ETPUA31_pin 145 

#define LED1_pin ETPUA30_pin
#define LED2_pin ETPUA31_pin

/*******************************************************************************
* Local types
*******************************************************************************/

/*******************************************************************************
* Local function prototypes
*******************************************************************************/
int main_p1(void);
static void PIT2_init(void);
void PIT2_ISR(void);


/*******************************************************************************
* Local variables
*******************************************************************************/

/*******************************************************************************
* Local functions
*******************************************************************************/

/*******************************************************************************
Function Name : PIT2_Init
Engineer      : David Tosenovjan
Date          : Aug-26-2015
Parameters    : 
Modifies      : 
Returns       : 
Notes         : 
Issues        : 
*******************************************************************************/
static void PIT2_init(void)
{
    /* 30: MDIS = 0 to enable clock for PITs. */
    /* 31: FRZ = 1 for Timers stopped in debug mode */
    PIT.MCR.R = 0x00000001;    
    PIT.CH[2].LDVAL.R = 18000000 - 1;
        
    /* clear the TIF flag */
    PIT.CH[2].TFLG.R = 0x00000001;
        
    /* 30: TIE = 1 for interrupt request enabled */
    /* 31: TEN = 1 for timer active */
    PIT.CH[2].TCTRL.R = 0x00000003;
}


/*******************************************************************************
Function Name : PIT2_ISR
Engineer      : David Tosenovjan
Date          : Aug-26-2015
Parameters    : 
Modifies      : 
Returns       : 
Notes         : 
Issues        : 
*******************************************************************************/
void PIT2_ISR(void)
{
    SIU.GPDO[LED2_pin].R ^= 1;
    
    PIT.CH[2].TFLG.R = 0x00000001;  
}


/*******************************************************************************
* Global functions
*******************************************************************************/

/*******************************************************************************
Function Name : main_p1
Engineer      : David Tosenovjan
Date          : Nov-26-2015
Parameters    : 
Modifies      : 
Returns       : 
Notes         :                             
Issues        : 
*******************************************************************************/
int main_p1(void) 
{   
    PIT2_init();

    Interrupts_init();
    
    Interrupts_enable_Core1();
    
    /* Loop forever */
    while (1) 
    {
        
    }
}
